/*******************************************************************************
 * FoxAIAction_Wander generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxAIAction_Wander extends FoxAIAction_GoTo
    native(AI)
    editinlinenew
    hidecategories(Object);

var protected transient array<Vector> NavHistory;
var protected transient array<Vector> Blacklist;
var() protected float MaxNavHistoryWeight;
var() protected int MaxNavHistoryDepth;
var() protected float TurnWeight;
var() protected float DistanceWeight;
var() protected float MinDistance;
var() protected float MaxDistance;
var() protected float VisibleWeight;
var() protected float EnemyNearbyWeight;
var() protected float EquivalenceThreshold;

// Export UFoxAIAction_Wander::execInitialize(FFrame&, void* const)
native function bool Initialize();

// Export UFoxAIAction_Wander::execProcessBehaviorEvent(FFrame&, void* const)
native function bool ProcessBehaviorEvent(string EventName, optional Actor EventInstigator, optional Actor EventRecipient, optional Vector EventLocation);

// Export UFoxAIAction_Wander::execCleanup(FFrame&, void* const)
native function Cleanup();

// Export UFoxAIAction_Wander::execGetLookTarget(FFrame&, void* const)
native function Vector GetLookTarget();

// Export UFoxAIAction_Wander::execGetRotationTarget(FFrame&, void* const)
native function Vector GetRotationTarget();

// Export UFoxAIAction_Wander::execRateEnemies(FFrame&, void* const)
native function float RateEnemies(const Vector CurrentLocation);

defaultproperties
{
    MaxNavHistoryWeight=-15.0
    MaxNavHistoryDepth=15
    TurnWeight=5.0
    DistanceWeight=10.0
    MinDistance=1024.0
    MaxDistance=8000.0
    VisibleWeight=5.0
    EnemyNearbyWeight=5.0
    EquivalenceThreshold=55.0
    Duration=10.0
    StateString="Wander"
}